Subject: bug#7833: closed (Re: bug#7833: automake uses two different values for DejaGNU srcdir)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Oct 2011 18:55:02 +0000

Your bug report

#7833: automake uses two different values for DejaGNU srcdir

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7833: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7833
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7833: automake uses two different values for DejaGNU srcdir
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: Peter Breitenlohner <[email-masked]>, Ralf Wildenhues <[email-masked]>, [email-masked], [email-masked], Ian Lance Taylor <[email-masked]>
Date: Sat, 22 Oct 2011 20:53:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wednesday 19 October 2011, Stefano Lattarini wrote:
> Reference:
>   <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7873>
> 
> I've rebased my patch on the "fixup" commit `v1.11-250-g0c0b402', and
> I will merge it to maint (and push) in a couple of days if there is
> no objection by then.  The updated patch is attached, for reference.
> 
Pushed now.  I'm closing this bug report.

Regards,
  Stefano

Subject: automake uses two different values for DejaGNU srcdir
From: Ian Lance Taylor <[email-masked]>
To: [email-masked]
Date: Wed, 12 Jan 2011 13:52:09 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When automake is configured to use DejaGNU, it uses two different values
for srcdir.  There are two different cases in lib/am/dejagnu.am:

The first is in check-DEJAGNU:

check-DEJAGNU: site.exp
## Life is easiest with an absolute srcdir, so do that.
	srcdir=`$(am__cd) $(srcdir) && pwd`; export srcdir; \

This value is passed to runtest with a --srcdir option.

The second is in site.exp:

site.exp: Makefile
	@echo 'Making a new site.exp file...'
	@echo '## these variables are automatically generated by make ##' >site.tmp
	@echo '# Do not edit here.  If you wish to override these values' >>site.tmp
	@echo '# edit the last section' >>site.tmp
	@echo 'set srcdir $(srcdir)' >>site.tmp

This value is read by DejaGNU after option processing is complete,
effectively overwriting the value passed with the --srcdir option.

The value of srcdir stored in site.exp should be an absolute path, just
like the value passed to runtest via --srcdir.

Ian